Last Comment Bug 122411 - (kitchensink) Mozilla does not have a kitchen sink
(kitchensink)
: Mozilla does not have a kitchen sink
Status: VERIFIED WONTFIX
see comments 119, 120 for why this di...
:
Product: www.mozilla.org
Classification: Other
Component: General (show other bugs)
: other
: All All
: P5 enhancement
: ---
Assigned To: Grey Hodge (jX)
: Daniel Wang
:
Mentors:
http://www.mozilla.org/docs/web-devel...
: 226482 392565 (view as bug list)
Depends on:
Blocks: 196282
  Show dependency treegraph
 
Reported: 2002-01-29 10:44 PST by Grey Hodge (jX)
Modified: 2014-01-02 11:16 PST (History)
81 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
A kitchen sink. (12.10 KB, text/html)
2002-01-29 22:36 PST, Grey Hodge (jX)
no flags Details
A Kitchen Sink With Running Water (15.49 KB, text/html)
2002-03-01 05:05 PST, Brian 'netdragon' Bober
no flags Details
Another try (15.49 KB, text/html)
2002-03-01 05:41 PST, Brian 'netdragon' Bober
no flags Details
Hopefully the last one (But I doubt it) (15.42 KB, text/html)
2002-03-01 06:09 PST, Brian 'netdragon' Bober
no flags Details
This validates w3c XHTML 1.1 (14.41 KB, text/html)
2002-03-01 07:35 PST, Brian 'netdragon' Bober
no flags Details
Water is now inserted into the sink block (16.42 KB, text/html)
2002-03-01 23:39 PST, Brian 'netdragon' Bober
no flags Details
Speedup (22.40 KB, text/html)
2002-03-03 01:33 PST, Brian 'netdragon' Bober
no flags Details
XHTML 1.1 Version of Attachment 72289 (22.42 KB, text/html)
2002-03-03 07:10 PST, Alex Bishop
no flags Details
Fixed strict errors, sped up. PRIOR attachments obsolete. (22.16 KB, text/html)
2002-03-23 03:32 PST, Brian 'netdragon' Bober
no flags Details
Validates - all others obsolete (22.16 KB, text/html)
2002-03-27 06:57 PST, Brian 'netdragon' Bober
no flags Details
Final version of sink (22.16 KB, text/html)
2002-06-08 09:30 PDT, Gervase Markham [:gerv]
no flags Details
Fixed everything, but the tables isn't working correctly (17.95 KB, text/html)
2003-02-06 23:56 PST, Brian 'netdragon' Bober
no flags Details
Latest copy, not finished (18.05 KB, text/html)
2003-02-11 11:59 PST, Brian 'netdragon' Bober
no flags Details
Final copy. Validate. Uses DOM. No table. No JS Warnings. Ready for inspection :-) (20.92 KB, text/xml)
2003-02-12 00:02 PST, Brian 'netdragon' Bober
no flags Details
!!!FINAL!!! version :-) (19.92 KB, text/xml)
2003-02-12 00:22 PST, Brian 'netdragon' Bober
no flags Details
New version, per Hixie's suggestions (20.24 KB, application/xhtml+xml)
2003-02-19 13:53 PST, Grey Hodge (jX)
no flags Details
Patch to enable about:kitchensink (1.03 KB, patch)
2003-02-19 14:04 PST, Nick Bebout
no flags Details | Diff | Splinter Review
Second patch to enable about:kitchensink - both are needed (965 bytes, patch)
2003-02-19 14:05 PST, Nick Bebout
no flags Details | Diff | Splinter Review
Revised first patch (1.04 KB, patch)
2003-02-19 21:39 PST, Nick Bebout
no flags Details | Diff | Splinter Review
Revised second patch (987 bytes, patch)
2003-02-19 21:39 PST, Nick Bebout
no flags Details | Diff | Splinter Review

Description Grey Hodge (jX) 2002-01-29 10:44:18 PST
While triaging RFEs, DUPEs, WFMs, INVALIDs, UNCOs, and the occasional valid bug,
I realized that there is a request to add everything but the kitchen sink to
Mozilla. I feel this is a severe shortcoming, and needs addressed. I'll see what
I can do about adding a patch shortly.
Comment 1 Grey Hodge (jX) 2002-01-29 11:30:32 PST
assigning to self. We need a "home appliance" component too.
Comment 2 Grey Hodge (jX) 2002-01-29 11:35:13 PST
didn't take last time. Let's see if I can get it right this time.
Comment 3 Doron Rosenberg (IBM) 2002-01-29 13:18:15 PST
I have enough bugspam to last me years
Comment 4 Christopher Aillon (sabbatical, not receiving bugmail) 2002-01-29 16:36:45 PST
I can confirm that Mozilla does not have a kitchen sink.  When you fix this,
could you give it one of those really loud garbage disposals, for dealing with
non-standard pages?

Twiddling some widgets on this bug because I'm testing the new xbl form controls
and because I'm bored ;-)
Comment 5 Alex Bishop 2002-01-29 17:16:22 PST
I contacted a plumnber about this last week. He started working on it and it was
all going fine except for the constant stream of hot drinks I had to provide
(bug 46647 would help here). Then he told me that actually, it was going to take
a lot longer than expected and would cost far more than the quote. Much like
Mozilla 1.0 really. ;-)
Comment 6 Grey Hodge (jX) 2002-01-29 22:36:36 PST
Created attachment 67056 [details]
A kitchen sink.

A kitchen sink. I'm working on creating it's own about: so everyone can see
that Mozilla is the only app that has everying AND the kitchen sink (unlike
Emacs).
Comment 7 Grey Hodge (jX) 2002-01-29 22:39:27 PST
Adding Chris Aillon to the CC list. I think he may be able to comment on the
previously attached sink.
Comment 8 Arthur 2002-01-30 05:50:28 PST
Well, at least this kitchen sink is valid xhtml 1.1 and css...
Comment 9 Christopher Aillon (sabbatical, not receiving bugmail) 2002-01-30 06:21:44 PST
Not too bad.  Let's see you put a <span></span> around each letter and set them
all to display: none at first, and use some DOM JS to make them all appear "one
pixel at a time"  :)
Comment 10 Christopher Aillon (sabbatical, not receiving bugmail) 2002-01-30 06:33:38 PST
Err, I meant |visibility: hidden;|

Your loop is a simple one like this:

var ascii = document.getElementById("sink").getElementsByTagName("span");
if (ascii) {
  for (var span in ascii) {
    span.style.visibility = "visible";
  }
}
Comment 11 Grey Hodge (jX) 2002-01-30 11:33:46 PST
I'll see what I can do. I'm currently hacking nsNetModule.cpp and
nsAboutProtocolModule.cpp so there is an about:kitchensink URL. Of course, I'm
also going to see if I can avoid that, because I'll have to do a CVS pull, and
create a build environment...

I think putting every character in a span would increase the size by at least a
factor of 13. That's assuming that we don't have to name any of the SPANs. I'm
tempted to create a JS compression scheme to cut down the size. ;)

Notice how we're adding lots of features to a bloody joke? Now that Mozilla will
have a kitchen sink, we're still not satisfied. :)
Comment 12 Brian 'netdragon' Bober 2002-01-31 18:46:22 PST
If you can get someone with checkin priveleges to put this in the tree, i'll add
the code to show this about page.
Comment 13 Alex Vincent [:WeirdAl] 2002-01-31 18:48:25 PST
Comment on attachment 67056 [details]
A kitchen sink.

Of course not.	We haven't had 1.0 yet.

Needs some JS to simulate water running.
Comment 14 Brian 'netdragon' Bober 2002-02-01 17:22:48 PST
Man, that would be sweat!
Comment 15 Brian 'netdragon' Bober 2002-03-01 01:25:38 PST
jesusx: I'll make the patch for the about:kitchensink as soon as you do the
running water. It really shouldn't be too hard. You can make divs of groups of
letters and have them start out at the top and travel down (maybe two groups at
a time) and have them sway and get closer together as they travel down towards
the drain. When they hit the drain, cycle them back up to the top.

This is DEFINATELY a 1.0 blocker ;-)
Comment 16 Brian 'netdragon' Bober 2002-03-01 01:27:14 PST
Also, please make it so that when you click on the handle, the water toggles on
and off :-)
Comment 17 Brian 'netdragon' Bober 2002-03-01 05:05:55 PST
Created attachment 72037 [details]
A Kitchen Sink With Running Water

You gotta love it :-)

I decided to do this because I want to implement this bug along with bug 60085
so I hack both abouts at the same time.
Comment 18 Alex Bishop 2002-03-01 05:20:04 PST
You have *way* too much time on your hands. :-)
Comment 19 Alex Bishop 2002-03-01 05:30:31 PST
Comment on attachment 72037 [details]
A Kitchen Sink With Running Water

Hmm, it doesn't validate properly any more. For advocacy reasons, I think that
it's essential that all Easter Eggs comply to Web standards.
Comment 20 Brian 'netdragon' Bober 2002-03-01 05:32:19 PST
It seems that the water doesn't appear in the same place on everyone's browser.
Comment 21 Alex Bishop 2002-03-01 05:38:07 PST
> It seems that the water doesn't appear in the same place on everyone's browser.

On my system (2002022203, Windows XP) the water flow seems too wide. It appears
to fall out of the tap but also the part to the left. It's more obvious if you
turn the water off.
Comment 22 Brian 'netdragon' Bober 2002-03-01 05:41:49 PST
Created attachment 72040 [details]
Another try

I replaced 4pt with 6px. Hope it works on all platforms.
Comment 23 Brian 'netdragon' Bober 2002-03-01 05:42:59 PST
If its tested by a lot of people and it works, I will make the water mesh better
with the sink.
Comment 24 Brian 'netdragon' Bober 2002-03-01 06:09:13 PST
Created attachment 72041 [details]
Hopefully the last one (But I doubt it)

You know how these kinds of things go...
Comment 25 Brian 'netdragon' Bober 2002-03-01 07:35:51 PST
Created attachment 72057 [details]
This validates w3c XHTML 1.1
Comment 26 Alex Bishop 2002-03-01 09:11:50 PST
The most recent one (attachment 72057 [details]) is pretty much perfect.

But...

The water flows faster than in the others. Any chance of slowing it down (it
looks more realistic that way)?
Comment 27 Alex Bishop 2002-03-01 09:14:17 PST
> The water flows faster than in the others. Any chance of slowing it down (it
> looks more realistic that way)?

Scratch that. I wasn't thinking. The faster version is far superior.
Comment 28 Alex Bishop 2002-03-01 11:57:39 PST
Just noticed something: the animation doesn't play nicely with the View > Text
Size feature.
Comment 29 Brian 'netdragon' Bober 2002-03-01 13:08:10 PST
A solution might be to introduce the text directly into the sink div.
Comment 30 Brian 'netdragon' Bober 2002-03-01 23:39:31 PST
Created attachment 72206 [details]
Water is now inserted into the sink block

All others are obsolete
Comment 31 Brian 'netdragon' Bober 2002-03-03 01:33:29 PST
Created attachment 72289 [details]
Speedup

I speed it up significantly by pre-buffering.
Comment 32 Brian 'netdragon' Bober 2002-03-03 02:33:07 PST
Not that it really matters, but can someone figure out why it isn't displaying
right on IE?
Comment 33 Alex Bishop 2002-03-03 07:10:36 PST
Created attachment 72301 [details]
XHTML 1.1 Version of Attachment 72289 [details]

For some reason, attachment 72289 [details] was HTML 4.01 and not XHTML 1.1. I can't
understand why as with a few changes, it's possible to make it validate as
XHTML 1.1.
Comment 34 Brian 'netdragon' Bober 2002-03-03 11:32:13 PST
Why do you want it to be XHTML and not HTML 4.01?
Comment 35 Alex Bishop 2002-03-03 14:08:02 PST
> Why do you want it to be XHTML and not HTML 4.01?

Because XHTML is new and exciting, of course! The original patch provided by
Grey Hodge was XHTML 1.1 so I don't see any reason to change.
Comment 36 Chu Alan #2 2002-03-04 04:30:23 PST
um ... how about adding water level for it :) LOL

keep on the good work !
Comment 37 Alex Bishop 2002-03-04 04:50:32 PST
The latest versions handle a text size increase but not a text size decrease.
Comment 38 gabriel 2002-03-05 07:24:59 PST
Any chance of making 'the lizard' 's  head pop out of the plug hole ?
Comment 39 Brian 'netdragon' Bober 2002-03-19 22:31:28 PST
re comment #36 and #38. Now you are going a little bit overboard :-)

re comment #37, i'll look into that.
Comment 40 Alex Vincent [:WeirdAl] 2002-03-19 22:41:45 PST
I hate to be someone to stop up the drain, but would you mind cleaning up those
two strict warnings 72289 gives me?  "assignment to undeclared variable".

No sense having a great animation slow down the suite.
Comment 41 Brian 'netdragon' Bober 2002-03-23 03:32:05 PST
Created attachment 75745 [details]
Fixed strict errors, sped up. PRIOR attachments obsolete.

comment #13 by alex appears to be a bug in Mozilla. Try loading it with text
size already 50% and it works fine. Enlarge it and shrink it and it works fine.
Anyone else agree this is a bug?

The scrict warnings were fixed.
Comment 42 Brian 'netdragon' Bober 2002-03-23 03:33:07 PST
Sorry, I meant comment #37 appears to be a bug. Sorry for the spam.
Comment 43 Alex Bishop 2002-03-23 14:00:08 PST
There's a small bug in the latest version which prevents it from validating. To
fix it, change line 284 from '<td><pre id="sink"><pre>' to '<td><pre id="sink">'.
Comment 44 Brian 'netdragon' Bober 2002-03-27 06:57:57 PST
Created attachment 76401 [details]
Validates - all others obsolete
Comment 45 Chu Alan #2 2002-03-27 07:05:29 PST
cool ... but the target (0.9.9) has passed already.
When will the kitchen sink get into Mozilla? May be 1.0?
Comment 46 Roope Lehmuslehto 2002-03-29 11:48:55 PST
Will Mozilla post it via UPS or DHL...DHL sucks anyway so maybe UPS is better,
but how about customs etc. :D
Comment 47 Brian 'netdragon' Bober 2002-04-28 01:55:16 PDT
http://bugzilla.mozilla.org/attachment.cgi?id=81359&action=view

In this attachment resides the fix to this bug included with bug 60085.
Comment 48 Chu Alan #2 2002-04-28 09:31:06 PDT
Anyone knows will the kitchen sink get into Moz1.0?
Comment 49 Alex Bishop 2002-04-28 17:27:41 PDT
> Anyone knows will the kitchen sink get into Moz1.0?

I highly doubt. It would only happen if bug 600085 gets in and this piggybacks
on it.
Comment 50 Alex Bishop 2002-04-28 20:15:47 PDT
That should be bug 60085.
Comment 51 Christopher Lam 2002-04-30 07:36:39 PDT
There is a problem with the last attachment (
http://bugzilla.mozilla.org/attachment.cgi?id=76401&action=view ).

On reducing the font size, the two sink halves get separated. Could this be
fixed before inclusion into the tree?
Comment 52 Christopher Lam 2002-04-30 08:01:40 PDT
Apologies for that last email. (References to comments already made)

However, I would vote for coloring the water "lightblue" for maximum effect.
This goes on to show easter eggs are not all black and white.
Comment 53 Brian 'netdragon' Bober 2002-04-30 17:27:04 PDT
Christopher: I tried that a while back, and it didn't look that good.
Comment 54 Alex Hosking 2002-05-01 05:42:36 PDT
You should use Internet Explorer that comes with an old tin bath that you have 
to carry around the net with you when you use it its called Non Standard 
Activex!
Comment 55 Alex Hosking 2002-05-01 05:44:13 PDT
You should use Internet Explorer that comes with an old tin bath that you have 
to carry around the net with you when you use it its called Non Standard 
Activex!
Comment 56 Grey Hodge (jX) 2002-05-01 14:18:31 PDT
RE: bug 60085. I was working on inserting just this command into the about: 
protocol before I fell ill. I didn't look terribly difficult. It's probably the 
best way to get this into 1.0, since with 60085 gets fixed, the current about: 
implementation will be redone.

Grey Hodge [not quite dead]
Comment 57 Jonathan Wilson 2002-05-28 08:09:56 PDT
what are the chances of seeing this get into 1.0? I looked at the about code and
it seems like its basicly adding the HTML file, modifying the jar.mn file to
pull it in and then adding about 5 lines of code to nsNetModule.cpp and 1 to
nsAboutRedirector.cpp
I can whip up a patch if need be, it wouldnt take very long.
Comment 58 Brian 'netdragon' Bober 2002-05-29 23:43:05 PDT
Re comment #56, comment #57. I have already done that. They now want the
about:commandline page to be dynamic.
Comment 59 Gervase Markham [:gerv] 2002-06-08 09:30:12 PDT
Created attachment 86945 [details]
Final version of sink

I want to use this bug as an example bug in a lecture, because it's cool. So I
want to obsolete some attachments to show that. The only way to do this with
minimum spammage is to add a new attachment. So, this is the same attachment
again. :-)

Gerv
Comment 60 Gervase Markham [:gerv] 2002-06-08 09:30:53 PDT
Comment on attachment 76401 [details]
Validates - all others obsolete

r=gerv. ;-)

Gerv
Comment 61 Alex Vincent [:WeirdAl] 2002-06-08 12:35:56 PDT
Since 0.9.9 and 1.0 are out the door...
Comment 62 Grey Hodge (jX) 2002-06-08 16:33:04 PDT
Comment on attachment 76401 [details]
Validates - all others obsolete

fixing which patch has r=
Comment 63 Jesse Ruderman 2002-06-08 16:59:33 PDT
The sink breaks if I zoom out using Ctrl+-.
Comment 64 Chris Charabaruk 2002-06-11 02:09:29 PDT
Trying this new aka feature for quicker access to this bug. If it doesn't work,
can I pour it down the drain or is there problems with that?
Comment 65 Christian :Biesinger (don't email me, ping me on IRC) 2002-06-11 02:11:25 PDT
I can't _believe_ you are seriously considering this. I most definitely hope
this never gets sr, because it just bloats Mozilla for no use whatsoever.
Comment 66 Arthur 2002-06-11 02:18:11 PDT
The kitchen sink is about 20KB, compressed with gzip it's about 5.7KB, making it
about half a promille of a complete install download.
Comment 67 Christopher Hoess (gone) 2002-06-11 17:29:13 PDT
biesi: if that were a criterion for sr=, most of the current tree would never
have been checked in ;-)
Comment 68 Brian 'netdragon' Bober 2002-06-14 04:25:48 PDT
Jesse: Would you or someone else be able to track down what causes that? I can't
figure out how changing text size should cause that. It seems like a bug in Mozilla.
Comment 69 Jonas Sicking (:sicking) No longer reading bugmail consistently 2002-06-16 14:34:30 PDT
the problem with adding this to the tree isn't the added bloat, bur rather: if
mozilla should have an easteregg, should this really be it? (for the reckord, i
think it rocks!) Or should we have more then one, and who/where/how would we
decide on which eastereggs to have.

IMHO eastereggs just doesn't go that well in opensource applications,
unfortuantly. Especially not in an application that isn't really ment as a
finished app, but rather something for others to redistribute. Compare it to
adding an easteregg in the Linux kernel; I would be very surpriced if that
happend, but RedHat or Lindows could perhaps add an easteregg in their
distribution of linux.
Comment 70 Arthur 2002-06-16 23:16:28 PDT
I thought that there's something like a "mozilla only flag" which can be set for
compilation(?). The other "problem" is, that an easteregg has to be somewhat
difficult to find. With a public bug report like this, it will be known within
seconds after checkin. If this goes in _somewhere_, this bug would have to be
blocked from view like a security bug. And then there's the question whether
eastereggs are the privilege of "real core mozilla hackers". I really like the
kitchen sink, it's much less bloated than most of the eastereggs out there.
Comment 71 Jonas Sicking (:sicking) No longer reading bugmail consistently 2002-06-17 09:19:11 PDT
I like the sink too, don't get me wrong. But as you say, eastereggs should be
hidden, and having this in the main tree will make it all but hidden, marking
this bug as blocked for security won't help, lxr and bonsai will still show it
in all its glory.

What I would recommend is that someone makes an xpi that hooks this up. That way
it'd be easy for distributors (like netscape) to hook it up and it would be much
more hidden then if it was in the main tree.


btw, what happened to the suggestion of making the water light-blue, that
sounded pretty cool to me.
Comment 72 Chris Charabaruk 2002-06-17 09:42:05 PDT
The way the about: handler is, I think we'd have to completely rewrite it if we
want to be able to plug new things into it. (actually, I'd like to see it
rewritten for that, but anyways...) Just to add about:kitchensink would require
changes to the handler code itself.

Anyways is it really that bad that we'll know it's there? What about people who
simply use Netscape or other browsers based on Mozilla? They probably won't
until someone "stumbles" upon it and starts mentioning it to others, right?
Comment 73 Christian :Biesinger (don't email me, ping me on IRC) 2002-07-03 15:12:30 PDT
/me still thinks you all must be out of your mind

What does the module owner say to this (darin)? Darin, would you say this is
WONTFIX or should it be fixed? (this is in the about: code, therefore networking)

WTF is the QA Contact of this bug the same as the assignee? Oh I see, b-g QA
wanted to get rid of it... restoring QA contact to default qa.


Comment 74 Jesse Ruderman 2002-07-03 15:20:00 PDT
I think we should donate this easter egg to Emacs once it embeds Gecko 
(http://groups.google.com/groups?th=b57da495a1d20aaa).
Comment 75 Brian 'netdragon' Bober 2002-07-03 20:44:15 PDT
Re comment #72 - No, it requires about 5 lines change. There is a redirection 
handler in the about protocol that handles any URL redirections. I already have 
this code written (See previous comments). Its just the code I was going to 
piggy-back it on about:commandline was not accepted because they want it to 
dynamically grab the commandline info.
Comment 76 Brian 'netdragon' Bober 2002-07-03 20:46:47 PDT
Re comment #72. There is sites dedicated to easter eggs, and people might 
actually be disappointed there are no easter eggs in Mozilla. Some people 
actually have no life ;-)
Comment 77 Brian 'netdragon' Bober 2002-07-03 20:57:34 PDT
Re comment #70. Most people like easter eggs because they are clever and 
interesting as opposed to impossible to find. Yes, they should be somewhat 
obscure, but easter eggs - through word of mouth and various web sites - don't 
remain a secret for long. Most people that will enjoy the easter eggs don't 
read the source code of Mozilla. If you are worried about a "leak" from 
developers or bugzilla.mozilla.org users about the easter egg, realize that 
employees of closed-source programs also "leak" information about easter eggs 
to friends, etc.
Comment 78 Brian 'netdragon' Bober 2002-07-03 21:04:45 PDT
Sorry about the multiple comments. I did the wrong thing and replied as I read 
the emails as opposed to all at once because I thought I wouldn't reply to 
another one.

Re comment #69: 
My belief is that we should have multiple easter eggs, and remove them in 
exchange for new ones on occasion when newer versions of Mozilla are released. 
I don't think easter eggs and open source are an issue since there is much more 
to an easter egg than its obscurity.

Re comment #71:
I tried colors, etc. It not only slowed down the code, but didn't look all that 
attractive.

Comment 79 benc 2002-07-08 10:36:56 PDT
I only took a quick look at this bug, but if you are going to make it available
via about:, please put that in the subject at the front.

In networking, I like my protocol handlers on the left :)
Comment 80 Grey Hodge (jX) 2002-07-08 10:41:13 PDT
Since this really is taking on a life of it's own, changing a few items of the
bug. I'll see about a minmally intrusive about: protocol patch...
Comment 81 benc 2002-07-10 16:01:08 PDT
(left).

Someone should get practice for a good job, and take QA of this.
Comment 82 Damir Perisa 2002-07-11 07:07:23 PDT
 the kitchen sink is not an easter-egg;  
it's rather a personal touch in mozilla that represents the 
open-source-comunity (some crazy people working on their project  
and having fun doing this) 
 
would be nice to have some 'personal touchs' in mozilla / accessible from 
'about'-protocol 
(you can tell the enduser, this is the browser-saver or coffee-break-display 
or something like this) 
Comment 83 Brian 'netdragon' Bober 2002-08-06 23:41:31 PDT
jesusX: The patch is easy... I can create one in about 20 min. Its getting it 
into the tree that is the hard part... ;-)
Comment 84 Hixie (not reading bugmail) 2002-10-30 04:41:28 PST
The "final" version (attachment 86945 [details]) may validate per the automated validator,
but it is not actually valid. It uses tables for layout purposes, and it uses
invalid DOM extiensions such as "innerHTML".
Comment 85 Brian 'netdragon' Bober 2002-11-27 16:01:30 PST
Hixie: innerhtml is a de-facto "standard" even if its not part of the w3c 
recommendation. The only other alternative that I know of would be walking the 
tree and inserting new values. the DOM open, write, close wouldn't work in 
this case, would it?

I'll fix the tables part.

Word is that we might be able to get this onto m.o next to expando 
http://www.mozilla.org/newlayout/demo/expando.html

Comment 86 Hixie (not reading bugmail) 2002-11-27 17:22:26 PST
Why don't you just use DOM core and change the contents of the text node
directly? There is absolutely no reason to use innerHTML nor open/write/close here.
Comment 87 Christian :Biesinger (don't email me, ping me on IRC) 2002-11-28 00:08:45 PST
fwiw, I would be ok with putting the html page on mozilla.org and just make
about:kitchensink use that (the patch would be a one-liner)
Comment 88 Asa Dotzler [:asa] 2003-01-02 23:53:30 PST
willseatery@yahoo.com, please don't waste peoples' time nominating non-bugs like
this. Thanks.
Comment 89 Brian 'netdragon' Bober 2003-02-06 23:56:19 PST
Created attachment 113787 [details]
Fixed everything, but the tables isn't working correctly

Hixie: I fixed the DOM stuff, but I can't get the document to layout correctly
using the CSS2 table model because it has no way to do the equivalent of
"colspan".

Here is a skeleton of the page:

<div style="display: table; table-layout: fixed; border-collapse: collapse;
border-spacing: 0;">
<div style="display: table-row;">

<!-- Start Table Row -->
<div style="display: table-cell;">

1
</div>
<!-- End Table Row -->
</div>

<div style="display: table-row;">
<!-- Start Table Row -->
<div style="display: table-cell;">
2

</div>
<div style="display: table-cell;">
3
</div>
<div style="display: table-cell;">
4
</div>
<!-- End Table Row -->
</div>
<div style="display: table-row">

<!-- Start Table Row -->
<div style="display: table-cell">
5
</div>
<!-- End Table Row -->
</div>
</div>

It should appear as:
+-----+
|  1  |
+-+-+-+
|2|3|4|
+-+-+-+
|  5  |
+-----+

yet it appears like this:

+-----+
|  1  |
+-+   +-+-+
|2|   |3|4|
+-+---+-+-+
|  5  |
+-----+

Does CSS2 has any way to define the structure of the way it should appear?
Comment 90 Patrick Xia ("Octalc0de") 2003-02-07 13:13:29 PST
it seems like attachment 86945 [details] works better.. fixed everything? hmm
Comment 91 Hixie (not reading bugmail) 2003-02-08 11:21:16 PST
CSS2 doesn't have colspan/rowspan equivalents yet. We should, however, implement
-moz-column-span and -moz-row-span or some such.
Comment 92 Nick Bebout 2003-02-08 16:43:30 PST
I may have missed something, but why cant we use tables in this?
Comment 93 Brian 'netdragon' Bober 2003-02-09 14:49:36 PST
nb: Its not important because my new version has no tables, nor any CSS tables,
it uses straight DOM #text node editing.

Because standard CSS doesn't allow for colspan and rowspan, table would be the
only way to go that I can see besides what I mentioned above. I believe (not
100% sure) this is because CSS was intended to be downwards compatible with
text-based browsers, etc. The issue here is this page isn't made to view with
any text-mode browsers as obviously it is a graphical page and is intended for
use with graphical browsers and isn't made for entertainment purposes.

Using a mozilla-only extension of CSS would be breaking the standards
(-moz-column-span), and I assume it would be best to put it up in demos as a
standards-compliance page.

No issue, the DOM supplies all I need to do it through the DOM on a large block
of text as opposed to within tables.
Comment 94 Grey Hodge (jX) 2003-02-09 16:22:13 PST
Now I feel compelled to speak up. I created this as a joke. Then it morphed into
an easter egg for Moz. As such, we can use Mozilla-only features, because this
isn't MEANT to be viewed in other browsers.
Comment 95 Brian 'netdragon' Bober 2003-02-11 11:59:06 PST
Created attachment 114123 [details]
Latest copy, not finished

I made it use the DOM, put a little demonstration in it to show people how to
do it, and it no longer uses either table or div, but inserts the text
directly.

I just have to reinsert the code for the water and clean it up a bit. :-)
Comment 96 Brian 'netdragon' Bober 2003-02-12 00:02:53 PST
Created attachment 114188 [details]
Final copy. Validate. Uses DOM. No table. No JS Warnings. Ready for inspection :-)

Has a nice little DEMO of how to work it. This is it.Hope you like it :-)
Comment 97 Brian 'netdragon' Bober 2003-02-12 00:04:29 PST
BTW: NS 7.01 doesn't display the shading behind the handle. You need to use it
in a newer browser.
Comment 98 Brian 'netdragon' Bober 2003-02-12 00:22:09 PST
Created attachment 114190 [details]
!!!FINAL!!! version :-)

Bah, _some_ people are _so_ picky ;-)
Comment 99 Nick Bebout 2003-02-12 19:54:31 PST
"!!!FINAL!!! version :-)" has been committed to webtree as
http://www.mozilla.org/catalog/web-developer/examples/kitchensink.xml

Bug is not fixed yet, as we still need r/sr to make about:kitchensink
Comment 100 Brian 'netdragon' Bober 2003-02-12 21:23:10 PST
I can make it, but I won't until I get validation something like that would be 
checked in. :-)
Comment 101 Brian 'netdragon' Bober 2003-02-12 21:34:51 PST
The one on the web seems to crash all versions of Mozilla. :-/

The attachment doesn't. That's strange. Something to do with server settings or
something?

Nicholas: Whatever it is, we don't want to lose that testcase. I would try to
reproduce that crash issue on another hidden file on the server before you fix
whatever is wrong with server settings that cause kitchensink.xml to crash on
the server. Then, we will have a testcase for filing a crasher bug.
Comment 102 Brian 'netdragon' Bober 2003-02-12 23:35:36 PST
I meant Mozilla freezes. It eventually brings the page up. The content of the
page seemed fine on
http://www.mozilla.org/catalog/web-developer/examples/kitchensink.xml
but look at the content-length http header. AHA!

These are the HTTP headers I grabbed using
http://www.wannabrowser.com/index.html for
http://www.mozilla.org/catalog/web-developer/examples/kitchensink.xml:

HTTP/1.1 200 OK
Server: Netscape-Enterprise/3.6
Date: Thu, 13 Feb 2003 05:54:02 GMT
Content-type: text/xml
Etag: "5be90-5215-3e4b1c1d"
Last-modified: Thu, 13 Feb 2003 04:16:29 GMT
Content-length: 21013
Accept-ranges: bytes
Connection: keep-alive

http://bugzilla.mozilla.org/attachment.cgi?id=114190&action=view:

HTTP/1.1 200 OK
Date: Thu, 13 Feb 2003 07:29:03 GMT
Server: Apache/1.3.26 (Unix) mod_throttle/3.1.2
Content-Disposition: inline; filename=kitchensink.xml
Content-Length: 20400
Content-Type: text/xml; name="kitchensink.xml"

My site:

HTTP/1.1 200 OK
Date: Thu, 13 Feb 2003 07:18:45 GMT
Server: Apache/2.0.40 (Red Hat Linux)
Last-Modified: Wed, 12 Feb 2003 08:17:07 GMT
ETag: "49c51b-4fb0-d47486c0"
Accept-Ranges: bytes
Content-Length: 20400
Connection: close
Content-Type: text/xml
X-Pad: avoid browser bug

Comment 103 Cees T. 2003-02-16 02:16:16 PST
Checking http://bugzilla.mozilla.org/attachment.cgi?id=114190&action=view using
the built in button results in "This page is not Valid XHTML 1.0 Strict!" when
I'm using my Proxomitron.

IMHO, http://bugzilla.mozilla.org/attachment.cgi?id=86945&action=view is
prettier, and perfect if it would just display the tap handle in the off
position while buffering. I was pleasantly surprised when I found out the
clickable handle on my own. :)

Both pages validate as XHTML 1.1 when checked manually.
Comment 104 Cees T. 2003-02-16 02:33:00 PST
Nevermind, the font was too big. And I like the additional water animation and
same click area for on and off.
Comment 105 Hixie (not reading bugmail) 2003-02-19 13:21:52 PST
Comment on attachment 114190 [details]
!!!FINAL!!! version :-)

Nearly there -- this is almost perfect. The only remaining issues I see are:
(a) do we have to use red? In test cases red means usually means bad. :-) How
about blue or green or something? Or just leaving it as the default colours,
which would be best. If we do change the colours, we should set the color and
the background together.
(b) We should use pixels or, even better, 'em's for the font-size, not points.
(c) We shouldn't have the button, IMHO. It looks silly. And it won't work
anyway if the URI is about: anything.
Comment 106 Grey Hodge (jX) 2003-02-19 13:53:01 PST
Created attachment 114919 [details]
New version, per Hixie's suggestions

Yeah, those are good points. I fixed the colors, sizing units (ems!), margin on
the joke, and removed the validation (and some misc cleanup). That was really
just to be part of the in-joke before this bug took on a life of it's own...
Comment 107 Nick Bebout 2003-02-19 14:00:48 PST
Update has been committed as
http://www.mozilla.org/catalog/web-developer/examples/kitchensink.xml

Should be changed on moz.org in about 15 mins.
Comment 108 Nick Bebout 2003-02-19 14:04:05 PST
Created attachment 114921 [details] [diff] [review]
Patch to enable about:kitchensink

Attached is a patch to enable about:kitchensink
Comment 109 Nick Bebout 2003-02-19 14:05:05 PST
Created attachment 114922 [details] [diff] [review]
Second patch to enable about:kitchensink - both are needed

Attached is a patch to enable about:kitchensink

This is for the second file that needs to be modified.
Comment 110 Doug Turner (:dougt) 2003-02-19 14:41:11 PST
Comment on attachment 114921 [details] [diff] [review]
Patch to enable about:kitchensink

r=dougt  very funny.
Comment 111 Darin Fisher 2003-02-19 14:53:43 PST
Comment on attachment 114921 [details] [diff] [review]
Patch to enable about:kitchensink

kRedirMap is searched linearly, please move this to the end of the list. 
sr=darin with that change.
Comment 112 Patrick Xia ("Octalc0de") 2003-02-19 15:09:02 PST
changing target milestone so it's no longer in the past.
Comment 113 Darin Fisher 2003-02-19 15:43:40 PST
Comment on attachment 114922 [details] [diff] [review]
Second patch to enable about:kitchensink - both are needed

>Index: nsNetModule.cpp

>  * Contributor(s):
>+ * Nicholas Bebout

format of this is:

   * Contributor(s):
   *   Nicholas Bebout <nb84@evansville.net>

sr=darin with that change =)
Comment 114 Darin Fisher 2003-02-19 21:16:58 PST
ok, so now that the patch has the r=/sr= necessary to land this on the trunk
whenever it opens (because it is technically done right), someone care to
explain why we want this in mozilla?  do we really mean to be so self
deprecating?  yeah, i see the humor in this, but i'm not so sure that this is
something we should be adding to netscape, mozilla, chimera, phoenix, galeon,
kmeleon, etc.  someone care to explain why we should?
Comment 115 Nick Bebout 2003-02-19 21:39:06 PST
Created attachment 114985 [details] [diff] [review]
Revised first patch
Comment 116 Nick Bebout 2003-02-19 21:39:44 PST
Created attachment 114986 [details] [diff] [review]
Revised second patch
Comment 117 Nick Bebout 2003-02-19 21:41:48 PST
Comment on attachment 114985 [details] [diff] [review]
Revised first patch

Carrying over r= from dougt and sr= from darin
Comment 118 Nick Bebout 2003-02-19 21:43:32 PST
Comment on attachment 114986 [details] [diff] [review]
Revised second patch

Carrying over r= from dougt and sr= from darin
Comment 119 Grey Hodge (jX) 2003-02-19 22:22:43 PST
advantages: cool, funny, low cost, ultra low footprint, is a neat demo of using
the DOM and JS to acheive simple yet elegant results.

disadvantage: wrongheaded people think that we're wasting our time and bloat the
product (well, we do, but not because of this)

It's already done, so the time is wasted regardless. Checking it in will make it
less of a waste. If nothing else, it shows the world we're good humored about
ourselves. :)
Comment 120 Asa Dotzler [:asa] 2003-02-19 22:36:53 PST
This is inappropriate to shove down the throats of other projects that will be
forced (as the patch stands) to accept this "feature". Phoenix and Chimera and
other Gecko projects don't want this, don't appreciate the humor (since they are
explicitely not "kitchen-sink" applications) and shouldn't be forced to accept
it no matter how small or cute some Mozilla developer thinks it is. Until this
can be made to only affect the Mozilla suite and not other embedding apps the
patch cannot be allowed to land. In light of the undesirable impact on other
gecko-based apps, I'm explicitely requesting that darin and dougt withdraw thier
reviews.
Comment 121 Stuart Parmenter 2003-02-19 22:47:10 PST
Comment on attachment 114986 [details] [diff] [review]
Revised second patch

give me a break.  people need to stop writing stupid patches and stop wasting
peoples time trying to get them checked in to the tree.  If this goes in, I'll
back it out.
Comment 122 Darin Fisher 2003-02-19 22:48:04 PST
Comment on attachment 114985 [details] [diff] [review]
Revised first patch

agreed
Comment 123 Christian Reis 2003-02-19 22:48:06 PST
Comment on attachment 114986 [details] [diff] [review]
Revised second patch

>Index: nsNetModule.cpp
[...]
>  * Contributor(s):
>+ * Nicholas Bebout <nb84@evansville.net>

Nit: still missing Darin's request to format this properly.
Comment 124 Max Spicer 2003-02-20 04:22:04 PST
If I view this in Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.3b)
Gecko/20030211 it is extremely slow and makes Mozilla very unresponsive.  Also,
the formatting is completely bodged so it doesn't look like a sink.  Not a good
thing at all!  It goes fine on an identical hw spec machine running XP however.
 I'm running the Mozilla XFT build, which is probably why!
Comment 125 Adam D. Moss 2003-02-20 04:53:22 PST
Sure, it's cute, and the tradition of strange easter eggs in web browsers goes
back a LONG way.  But we have cute easter eggs already, and IMHO this isn't
cute, funny, or compact enough to justify itself.  Moreover, EMACS claimed the
whole 'kitchen sink' joke territory many years ago.
Comment 126 Nick Bebout 2003-02-20 09:01:54 PST
The reason it makes Mozilla really slow is a problem with the mozilla.org 
webserver.  If you try to view the last attachment of the .xml file, it works 
perfectly, it just doesnt work when you try to view the mozilla.org version.  I 
think it may be a problem with the headers or something. Look above for where 
someone pasted the headers from bugzilla.m.o and www.m.o.

I'll look and see if there is a way we can only enable this for Mozilla.

If that is fixed, would it be able to land?  
Comment 127 Christian :Biesinger (don't email me, ping me on IRC) 2003-02-20 09:08:17 PST
it would not be able to land.
Drivers are against it, and the patch has no super-review.
Comment 128 Patrick Xia ("Octalc0de") 2003-02-20 13:49:30 PST
> it would not be able to land.
> Drivers are against it, and the patch has no super-review.

no no no, I think he means if he finds a way to enable this ONLY for mozilla,
and not phoenix, chimera, and the other mozilla-deriatives.
Comment 129 Sam Katz 2003-02-20 16:08:29 PST
This brings up a rather serious point:
Phoenix is Mozilla.

It takes the HTML editor association, and occasionally confuses itself with 
Mozilla. It wouldn't be hard to make the about:kitchensink draw a 'blank' in 
phoenix or even render a different page 'Phoenix will never be a kitchen sink. 
Phoenix *will* be standards compliant, stable, and will support the Mozilla 
plugin API, but beyond that it is its own beast.'

..something like that..
Sam
Comment 130 Doron Rosenberg (IBM) 2003-02-20 16:52:35 PST
this would compete with the fishcam (ie flush the poor little fishies down the
sink).  -> Wontfix for the sake of them fishies.
Comment 131 Grey Hodge (jX) 2003-02-20 17:09:02 PST
Not your bug, kthx.
Comment 132 Zook Valem 2003-02-20 19:29:04 PST
It is only a demo of a XML webpage with certain scripts...  Not that it is part
of the browser's feature such as the Back Button, Javascript Console, History
Session, Tabs, etc..., which explain why people don't want it to be part of the
browser.  So, how about donating this 'Kitchen Sink Project' to
"http://www.mozilla.org/start/1.0/demos.html" OR SOMEWHERE as a demo of what XML
can do for Gecko...  Just a suggestion, not a requirement...
Comment 133 Brian 'netdragon' Bober 2003-02-20 21:34:54 PST
Personally, I see no problem with having this just on the web server, and not
having an about page. Even though that would be kind of cute, I never thought
that was a realistic hope anyway and turning this into another splash screen bug
will mean we never will have a good examples sections. Let's accept Asa's
judgement based on years of experience and work on mozilla.org's examples section.

Asa:

Can we have review+ and superreview+ based on this going on the Mozilla site
(which has already occured) and not altering the Mozilla tree in any way? Or is
that not necessary/applicable?

nb: I'm curious at what the issue on the web server is as it doesn't seem to be
happening anymore, but I know it happened in the past. Is it fixed?

Re last comment:
http://www.mozilla.org/catalog/web-developer/examples/kitchensink.xml

Refactoring all the examples into a central location under which this example
will reside is something that would be valuable (especially for regression
testing) and has been my intention ever since someone pointed me to the expando
example (comment #85), because I believe good examples are a wonderful way to
introduce someone to the standards. The issue I saw is that most of the examples
are strewn around the mozilla.org site in outdated sections and pages that
hardly anyone goes to anymore.

In fact, good examples don't have to even reside on our server for us to link to
them, as long as we know they will remain standards-compliant and in their
current location and we have a way to contact the writer. All we need is a page
that stays updated and is a central location for all examples' links and
descriptions.

We could have:

http://www.mozilla.org/catalog/markup/examples (Better than web developer as XUL
is markup but not web-based per-se)

with an index page containing the following sub-sections with links to examples:
HTML, XML, XHTML, XUL and anything else anyone can think of. DOM/CSS/JS examples
could appear under the section based on what doctype they affect. Each section
would also have a target, such as <a name="#XHTML"> that could be linked to from
,i.e., the XUL documentation for the XUL examples, and the HTML documentation
for the HTML examples. 

Each example on the page could have a one line description, and two links, one
to the example, and one to a page describing how the example works.

Skeleton:

XHTML Examples

  Kitchen sink - Uses javascript and DOM text insertions to create an animated
interactive ASCII art sink. [View] [Description]

HTML 4.01 Loose Examples

   Blah blah

HTML 4.01 Strict Examples

   Expando - Dynamically changes CSS properties of text to create a nice affect
[View] [Description]

CT: (comment #103)

This is final barring standards issues. Anyway, I'm glad you found it, but some
people would not find it on their own. Not everyone is creative and inquisitive
in the way they would discover something like that on their own. Since this is
an example, and not an easter egg, its important they know what the page does.
Comment 134 Christian :Biesinger (don't email me, ping me on IRC) 2003-02-21 03:59:18 PST
>Can we have review+ and superreview+ based on this going on the Mozilla site

Webpage checkins do not require review/super-review
Comment 135 Sven Neuhaus 2003-02-22 14:18:54 PST
I think a kitchen sink done in SVG would be more flashy. The SVG could be
generated  or animated by javascript...
Anyone up to the task? :-)
Comment 136 Waheed Islam 2003-02-22 16:39:38 PST
err, lets try a more direct summary.
Comment 137 Grey Hodge (jX) 2003-02-22 17:08:39 PST
How about we leave things nice and simple, ok folks? Unless someone has a
patch-in-hand so this builds _only_ in Mozilla, let's let this alone for a
while. It's funny, but not a priority one issue.
Comment 138 Adam Hauner 2003-03-07 23:23:28 PST
Moving -> mozilla.org
Comment 139 Chris Ilias [:cilias] 2003-06-11 23:47:14 PDT
I would love for this to make it into Netscape 7.1. Any chance of getting one of
the latest "sinks" in Moz 1.4?
Comment 140 Brian 'netdragon' Bober 2003-07-11 07:56:45 PDT
Did you know this was slashdotted on February 22?
http://slashdot.org/articles/03/02/22/1420228.shtml?tid=154
Comment 141 Brian 'netdragon' Bober 2003-07-11 08:27:16 PDT
Chris: word is we can't get it in unless we can make it only appear in XPFE
version, and nothing else. This is especially inappropriate for Firebird since
its not made to be bloated. This does bring up an interesting point, though. We
should be able to have independent about: pages.
Comment 142 Christian :Biesinger (don't email me, ping me on IRC) 2003-07-11 09:22:27 PDT
>we can't get it in unless we can make it only appear in XPFE
>version, and nothing else

I wonder, who said you can get it into the xpfe version?

> We should be able to have independent about: pages.

what stops you from doing that?
Comment 143 Brian 'netdragon' Bober 2003-07-11 09:40:50 PDT
> I wonder, who said you can get it into the xpfe version?

I've heard it various times, look at:

comment 120

> what stops you from doing that?

Because putting it in there now would mean that embedders, and any other
gecko-based browser would be forced to have it also. If you mean why don't I
modify the tree to allow independent about: pages, its not any kind of priority,
i was just answering a question.
Comment 144 Christian :Biesinger (don't email me, ping me on IRC) 2003-07-12 12:29:36 PDT
>Because putting it in there now would mean that embedders, and any other
>gecko-based browser would be forced to have it also.

not necessarily...

> If you mean why don't I
>modify the tree to allow independent about: pages,

if I understand what you want correctly, then that is already possible... just
implement nsIAboutModule (iirc) with the right contractid
Comment 146 Brian 'netdragon' Bober 2003-07-27 19:12:01 PDT
Neither of those links work.
Comment 148 bruno 2003-09-07 16:43:28 PDT
Hey,

Excel has a frakin' flight simulator built into the shyte -- Damn it!!! Mozilla
needs a kitchen sink.....
Comment 149 Brian 'netdragon' Bober 2003-09-08 02:05:17 PDT
Mozilla is downloaded, so any easter eggs would have to be held on the m.o server.
Comment 150 Christian :Biesinger (don't email me, ping me on IRC) 2003-11-21 15:31:55 PST
*** Bug 226482 has been marked as a duplicate of this bug. ***
Comment 151 Manos Batsis 2003-12-18 02:32:06 PST
about:kitchensink does not work for me. Was the it removed?
I'm on Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5) Gecko/20031007
Comment 152 Brian 'netdragon' Bober 2003-12-18 13:48:33 PST
It was never included, and probably won't be.

http://www.mozilla.org/docs/web-developer/samples/kitchensink.xml
Comment 153 Brian 'netdragon' Bober 2004-02-18 10:52:23 PST
Bug 234710 is about issues with how some links on the web are now invalidated by
it being moved from samples to examples, so some links point to examples, some
links point to samples. It also talks about other things.
Comment 154 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2004-06-23 14:31:35 PDT
(In reply to comment #152)
> It was never included, and probably won't be.
> 
> http://www.mozilla.org/docs/web-developer/samples/kitchensink.xml

Any reason for that? :-)
Comment 155 Louis St-Amour 2004-11-02 21:31:06 PST
(In reply to comment #152)
> It was never included, and probably won't be.
> 
> http://www.mozilla.org/docs/web-developer/samples/kitchensink.xml

Yes, though if you bookmark that URL and use the keyword about:kitchensink you
can add it in yourself. :)

I just tried it in Firefox RC2, worked like a charm. :)
Comment 156 Lars Huttar 2005-03-10 14:10:43 PST
(In reply to comment #6)
> A kitchen sink. I'm working on creating it's own about: so everyone can see
> that Mozilla is the only app that has everying AND the kitchen sink

Sorry, <a href="http://www.nethack.org">nethack</a> got there a long time ago.

Comment 157 Lars Huttar 2005-03-10 14:36:04 PST
(In reply to comment #156)
> (In reply to comment #6)
> > A kitchen sink. I'm working on creating it's own about: so everyone can see
> > that Mozilla is the only app that has everying AND the kitchen sink
> 
> Sorry, <a href="http://www.nethack.org">nethack</a> got there a long time ago.

But, this one is very cool! Good job folks.

Is it intentional that it doesn't work in IE?
Comment 158 Simon Paquet [:sipaq] 2005-06-21 08:11:14 PDT
This is still WONTFIX.
Comment 159 Vladislav Duma 2005-06-26 01:20:03 PDT
(In reply to comment #158)
> This is still WONTFIX.

After separating Mozilla Suite (or whichever name it has now) and Firefox, the
component field is perhaps really wrong, but I would keep the bug open for
Application Suite (philosophy of which is still to have all features,
/including/ a kitchen sink).
Comment 160 Michael Lelli 2005-08-02 15:35:35 PDT
For me, the kitchen sink doesn't work if you have the Linkification extension
enabled. My guess would be a string with a combonation of letters, @, and .
somewhere, and it seems to cause a loop in either the kitchen sink script or the
Linkification script.
Comment 161 Tiago Freire 2005-11-07 02:55:11 PST
Those Konqueror lamerz don't support Mozilla's kitchen sink. :)
Nevertheless, I think there is always room for improvement.
If it is turned on for some time, it could fill up with water and when turned off, display a vortex as the water goes down the drain...
Comment 162 Calum Mackay 2005-11-07 06:14:10 PST
and have the vortex go a different way depending on locale...? :)
Comment 163 Jason Chambers 2006-02-22 10:42:15 PST
Is it just me, or does the kitchen sink pour out PoOp out of the faucet? Is the new motto going to be "And it has a kitchen sink too, but it just smells bad"
Comment 164 Alex Vincent [:WeirdAl] 2006-09-13 14:22:22 PDT
There have been a ton of comments on this bug, but comments 119 and 120 sum up nicely why this never got checked in.

I'd suggest if any particular product wants the kitchen sink (SM council for suite directory?), a new bug be filed for that purpose.
Comment 165 Robert Kaiser 2007-08-17 10:49:55 PDT
*** Bug 392565 has been marked as a duplicate of this bug. ***
Comment 166 Thomas K. (:tom) 2008-04-23 23:45:46 PDT
Per bug 392565 comment 1, comment 164 should be disregarded with regards to Seamonkey.  This bug is about seamonkey.  Please do not make dupes of this bug due to comment 164.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.